Support higher-resolution time stamps.
[bpt/emacs.git] / m4 / gnulib-comp.m4
1 # DO NOT EDIT! GENERATED AUTOMATICALLY!
2 # Copyright (C) 2002-2012 Free Software Foundation, Inc.
3 #
4 # This file is free software; you can redistribute it and/or modify
5 # it under the terms of the GNU General Public License as published by
6 # the Free Software Foundation; either version 3 of the License, or
7 # (at your option) any later version.
8 #
9 # This file is distributed in the hope that it will be useful,
10 # but WITHOUT ANY WARRANTY; without even the implied warranty of
11 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
12 # GNU General Public License for more details.
13 #
14 # You should have received a copy of the GNU General Public License
15 # along with this file. If not, see <http://www.gnu.org/licenses/>.
16 #
17 # As a special exception to the GNU General Public License,
18 # this file may be distributed as part of a program that
19 # contains a configuration script generated by Autoconf, under
20 # the same distribution terms as the rest of that program.
21 #
22 # Generated by gnulib-tool.
23 #
24 # This file represents the compiled summary of the specification in
25 # gnulib-cache.m4. It lists the computed macro invocations that need
26 # to be invoked from configure.ac.
27 # In projects that use version control, this file can be treated like
28 # other built files.
29
30
31 # This macro should be invoked from ./configure.in, in the section
32 # "Checks for programs", right after AC_PROG_CC, and certainly before
33 # any checks for libraries, header files, types and library functions.
34 AC_DEFUN([gl_EARLY],
35 [
36 m4_pattern_forbid([^gl_[A-Z]])dnl the gnulib macro namespace
37 m4_pattern_allow([^gl_ES$])dnl a valid locale name
38 m4_pattern_allow([^gl_LIBOBJS$])dnl a variable
39 m4_pattern_allow([^gl_LTLIBOBJS$])dnl a variable
40 AC_REQUIRE([gl_PROG_AR_RANLIB])
41 # Code from module alloca-opt:
42 # Code from module allocator:
43 # Code from module careadlinkat:
44 # Code from module clock-time:
45 # Code from module crypto/md5:
46 # Code from module crypto/sha1:
47 # Code from module crypto/sha256:
48 # Code from module crypto/sha512:
49 # Code from module dosname:
50 # Code from module dtoastr:
51 # Code from module dtotimespec:
52 # Code from module dup2:
53 # Code from module extensions:
54 AC_REQUIRE([gl_USE_SYSTEM_EXTENSIONS])
55 # Code from module filemode:
56 # Code from module getloadavg:
57 # Code from module getopt-gnu:
58 # Code from module getopt-posix:
59 # Code from module gettext-h:
60 # Code from module gettime:
61 # Code from module gettimeofday:
62 # Code from module ignore-value:
63 # Code from module include_next:
64 # Code from module intprops:
65 # Code from module inttypes-incomplete:
66 # Code from module largefile:
67 AC_REQUIRE([AC_SYS_LARGEFILE])
68 # Code from module lstat:
69 # Code from module manywarnings:
70 # Code from module mktime:
71 # Code from module multiarch:
72 # Code from module nocrash:
73 # Code from module pathmax:
74 # Code from module pselect:
75 # Code from module pthread_sigmask:
76 # Code from module readlink:
77 # Code from module signal-h:
78 # Code from module snippet/_Noreturn:
79 # Code from module snippet/arg-nonnull:
80 # Code from module snippet/c++defs:
81 # Code from module snippet/warn-on-use:
82 # Code from module socklen:
83 # Code from module ssize_t:
84 # Code from module stat:
85 # Code from module stat-time:
86 # Code from module stdalign:
87 # Code from module stdarg:
88 dnl Some compilers (e.g., AIX 5.3 cc) need to be in c99 mode
89 dnl for the builtin va_copy to work. With Autoconf 2.60 or later,
90 dnl gl_PROG_CC_C99 arranges for this. With older Autoconf gl_PROG_CC_C99
91 dnl shouldn't hurt, though installers are on their own to set c99 mode.
92 gl_PROG_CC_C99
93 # Code from module stdbool:
94 # Code from module stddef:
95 # Code from module stdint:
96 # Code from module stdio:
97 # Code from module stdlib:
98 # Code from module strftime:
99 # Code from module strtoimax:
100 # Code from module strtoll:
101 # Code from module strtoull:
102 # Code from module strtoumax:
103 # Code from module symlink:
104 # Code from module sys_select:
105 # Code from module sys_stat:
106 # Code from module sys_time:
107 # Code from module time:
108 # Code from module time_r:
109 # Code from module timespec:
110 # Code from module timespec-add:
111 # Code from module timespec-sub:
112 # Code from module u64:
113 # Code from module unistd:
114 # Code from module utimens:
115 # Code from module verify:
116 # Code from module warnings:
117 ])
118
119 # This macro should be invoked from ./configure.in, in the section
120 # "Check for header files, types and library functions".
121 AC_DEFUN([gl_INIT],
122 [
123 AM_CONDITIONAL([GL_COND_LIBTOOL], [false])
124 gl_cond_libtool=false
125 gl_libdeps=
126 gl_ltlibdeps=
127 gl_m4_base='m4'
128 m4_pushdef([AC_LIBOBJ], m4_defn([gl_LIBOBJ]))
129 m4_pushdef([AC_REPLACE_FUNCS], m4_defn([gl_REPLACE_FUNCS]))
130 m4_pushdef([AC_LIBSOURCES], m4_defn([gl_LIBSOURCES]))
131 m4_pushdef([gl_LIBSOURCES_LIST], [])
132 m4_pushdef([gl_LIBSOURCES_DIR], [])
133 gl_COMMON
134 gl_source_base='lib'
135 gl_FUNC_ALLOCA
136 AC_CHECK_FUNCS_ONCE([readlinkat])
137 gl_CLOCK_TIME
138 gl_MD5
139 gl_SHA1
140 gl_SHA256
141 gl_SHA512
142 AC_REQUIRE([gl_C99_STRTOLD])
143 gl_FUNC_DUP2
144 if test $HAVE_DUP2 = 0 || test $REPLACE_DUP2 = 1; then
145 AC_LIBOBJ([dup2])
146 gl_PREREQ_DUP2
147 fi
148 gl_UNISTD_MODULE_INDICATOR([dup2])
149 gl_FILEMODE
150 gl_GETLOADAVG
151 if test $HAVE_GETLOADAVG = 0; then
152 AC_LIBOBJ([getloadavg])
153 gl_PREREQ_GETLOADAVG
154 fi
155 gl_STDLIB_MODULE_INDICATOR([getloadavg])
156 gl_FUNC_GETOPT_GNU
157 if test $REPLACE_GETOPT = 1; then
158 AC_LIBOBJ([getopt])
159 AC_LIBOBJ([getopt1])
160 gl_PREREQ_GETOPT
161 dnl Arrange for unistd.h to include getopt.h.
162 GNULIB_GL_UNISTD_H_GETOPT=1
163 fi
164 AC_SUBST([GNULIB_GL_UNISTD_H_GETOPT])
165 gl_MODULE_INDICATOR_FOR_TESTS([getopt-gnu])
166 gl_FUNC_GETOPT_POSIX
167 if test $REPLACE_GETOPT = 1; then
168 AC_LIBOBJ([getopt])
169 AC_LIBOBJ([getopt1])
170 gl_PREREQ_GETOPT
171 dnl Arrange for unistd.h to include getopt.h.
172 GNULIB_GL_UNISTD_H_GETOPT=1
173 fi
174 AC_SUBST([GNULIB_GL_UNISTD_H_GETOPT])
175 gl_GETTIME
176 gl_FUNC_GETTIMEOFDAY
177 if test $HAVE_GETTIMEOFDAY = 0 || test $REPLACE_GETTIMEOFDAY = 1; then
178 AC_LIBOBJ([gettimeofday])
179 gl_PREREQ_GETTIMEOFDAY
180 fi
181 gl_SYS_TIME_MODULE_INDICATOR([gettimeofday])
182 AC_REQUIRE([AC_C_INLINE])
183 gl_INTTYPES_INCOMPLETE
184 AC_REQUIRE([gl_LARGEFILE])
185 gl_FUNC_LSTAT
186 if test $REPLACE_LSTAT = 1; then
187 AC_LIBOBJ([lstat])
188 gl_PREREQ_LSTAT
189 fi
190 gl_SYS_STAT_MODULE_INDICATOR([lstat])
191 gl_FUNC_MKTIME
192 if test $REPLACE_MKTIME = 1; then
193 AC_LIBOBJ([mktime])
194 gl_PREREQ_MKTIME
195 fi
196 gl_TIME_MODULE_INDICATOR([mktime])
197 gl_MULTIARCH
198 gl_FUNC_PSELECT
199 if test $HAVE_PSELECT = 0 || test $REPLACE_PSELECT = 1; then
200 AC_LIBOBJ([pselect])
201 fi
202 gl_SYS_SELECT_MODULE_INDICATOR([pselect])
203 gl_FUNC_PTHREAD_SIGMASK
204 if test $HAVE_PTHREAD_SIGMASK = 0 || test $REPLACE_PTHREAD_SIGMASK = 1; then
205 AC_LIBOBJ([pthread_sigmask])
206 gl_PREREQ_PTHREAD_SIGMASK
207 fi
208 gl_SIGNAL_MODULE_INDICATOR([pthread_sigmask])
209 gl_FUNC_READLINK
210 if test $HAVE_READLINK = 0 || test $REPLACE_READLINK = 1; then
211 AC_LIBOBJ([readlink])
212 gl_PREREQ_READLINK
213 fi
214 gl_UNISTD_MODULE_INDICATOR([readlink])
215 gl_SIGNAL_H
216 gl_TYPE_SOCKLEN_T
217 gt_TYPE_SSIZE_T
218 gl_STAT_TIME
219 gl_STAT_BIRTHTIME
220 gl_STDALIGN_H
221 gl_STDARG_H
222 AM_STDBOOL_H
223 gl_STDDEF_H
224 gl_STDINT_H
225 gl_STDIO_H
226 gl_STDLIB_H
227 gl_FUNC_GNU_STRFTIME
228 gl_FUNC_STRTOIMAX
229 if test $HAVE_STRTOIMAX = 0 || test $REPLACE_STRTOIMAX = 1; then
230 AC_LIBOBJ([strtoimax])
231 gl_PREREQ_STRTOIMAX
232 fi
233 gl_INTTYPES_MODULE_INDICATOR([strtoimax])
234 gl_FUNC_STRTOUMAX
235 if test $ac_cv_func_strtoumax = no; then
236 AC_LIBOBJ([strtoumax])
237 gl_PREREQ_STRTOUMAX
238 fi
239 gl_INTTYPES_MODULE_INDICATOR([strtoumax])
240 gl_FUNC_SYMLINK
241 if test $HAVE_SYMLINK = 0 || test $REPLACE_SYMLINK = 1; then
242 AC_LIBOBJ([symlink])
243 fi
244 gl_UNISTD_MODULE_INDICATOR([symlink])
245 gl_HEADER_SYS_SELECT
246 AC_PROG_MKDIR_P
247 gl_HEADER_SYS_STAT_H
248 AC_PROG_MKDIR_P
249 gl_HEADER_SYS_TIME_H
250 AC_PROG_MKDIR_P
251 gl_HEADER_TIME_H
252 gl_TIME_R
253 if test $HAVE_LOCALTIME_R = 0 || test $REPLACE_LOCALTIME_R = 1; then
254 AC_LIBOBJ([time_r])
255 gl_PREREQ_TIME_R
256 fi
257 gl_TIME_MODULE_INDICATOR([time_r])
258 gl_TIMESPEC
259 AC_REQUIRE([AC_C_INLINE])
260 gl_UNISTD_H
261 gl_UTIMENS
262 gl_gnulib_enabled_dosname=false
263 gl_gnulib_enabled_be453cec5eecf5731a274f2de7f2db36=false
264 gl_gnulib_enabled_pathmax=false
265 gl_gnulib_enabled_stat=false
266 gl_gnulib_enabled_strtoll=false
267 gl_gnulib_enabled_strtoull=false
268 gl_gnulib_enabled_verify=false
269 func_gl_gnulib_m4code_dosname ()
270 {
271 if ! $gl_gnulib_enabled_dosname; then
272 gl_gnulib_enabled_dosname=true
273 fi
274 }
275 func_gl_gnulib_m4code_be453cec5eecf5731a274f2de7f2db36 ()
276 {
277 if ! $gl_gnulib_enabled_be453cec5eecf5731a274f2de7f2db36; then
278 AC_SUBST([LIBINTL])
279 AC_SUBST([LTLIBINTL])
280 gl_gnulib_enabled_be453cec5eecf5731a274f2de7f2db36=true
281 fi
282 }
283 func_gl_gnulib_m4code_pathmax ()
284 {
285 if ! $gl_gnulib_enabled_pathmax; then
286 gl_PATHMAX
287 gl_gnulib_enabled_pathmax=true
288 fi
289 }
290 func_gl_gnulib_m4code_stat ()
291 {
292 if ! $gl_gnulib_enabled_stat; then
293 gl_FUNC_STAT
294 if test $REPLACE_STAT = 1; then
295 AC_LIBOBJ([stat])
296 gl_PREREQ_STAT
297 fi
298 gl_SYS_STAT_MODULE_INDICATOR([stat])
299 gl_gnulib_enabled_stat=true
300 if test $REPLACE_STAT = 1; then
301 func_gl_gnulib_m4code_dosname
302 fi
303 if test $REPLACE_STAT = 1; then
304 func_gl_gnulib_m4code_pathmax
305 fi
306 if test $REPLACE_STAT = 1; then
307 func_gl_gnulib_m4code_verify
308 fi
309 fi
310 }
311 func_gl_gnulib_m4code_strtoll ()
312 {
313 if ! $gl_gnulib_enabled_strtoll; then
314 gl_FUNC_STRTOLL
315 if test $HAVE_STRTOLL = 0; then
316 AC_LIBOBJ([strtoll])
317 gl_PREREQ_STRTOLL
318 fi
319 gl_STDLIB_MODULE_INDICATOR([strtoll])
320 gl_gnulib_enabled_strtoll=true
321 fi
322 }
323 func_gl_gnulib_m4code_strtoull ()
324 {
325 if ! $gl_gnulib_enabled_strtoull; then
326 gl_FUNC_STRTOULL
327 if test $HAVE_STRTOULL = 0; then
328 AC_LIBOBJ([strtoull])
329 gl_PREREQ_STRTOULL
330 fi
331 gl_STDLIB_MODULE_INDICATOR([strtoull])
332 gl_gnulib_enabled_strtoull=true
333 fi
334 }
335 func_gl_gnulib_m4code_verify ()
336 {
337 if ! $gl_gnulib_enabled_verify; then
338 gl_gnulib_enabled_verify=true
339 fi
340 }
341 if test $REPLACE_GETOPT = 1; then
342 func_gl_gnulib_m4code_be453cec5eecf5731a274f2de7f2db36
343 fi
344 if test $REPLACE_LSTAT = 1; then
345 func_gl_gnulib_m4code_dosname
346 fi
347 if test $REPLACE_LSTAT = 1; then
348 func_gl_gnulib_m4code_stat
349 fi
350 if test $HAVE_READLINK = 0 || test $REPLACE_READLINK = 1; then
351 func_gl_gnulib_m4code_stat
352 fi
353 if { test $HAVE_STRTOIMAX = 0 || test $REPLACE_STRTOIMAX = 1; } && test $ac_cv_type_long_long_int = yes; then
354 func_gl_gnulib_m4code_strtoll
355 fi
356 if test $HAVE_STRTOIMAX = 0 || test $REPLACE_STRTOIMAX = 1; then
357 func_gl_gnulib_m4code_verify
358 fi
359 if test $ac_cv_func_strtoumax = no && test $ac_cv_type_unsigned_long_long_int = yes; then
360 func_gl_gnulib_m4code_strtoull
361 fi
362 if test $ac_cv_func_strtoumax = no; then
363 func_gl_gnulib_m4code_verify
364 fi
365 m4_pattern_allow([^gl_GNULIB_ENABLED_])
366 AM_CONDITIONAL([gl_GNULIB_ENABLED_dosname], [$gl_gnulib_enabled_dosname])
367 AM_CONDITIONAL([gl_GNULIB_ENABLED_be453cec5eecf5731a274f2de7f2db36], [$gl_gnulib_enabled_be453cec5eecf5731a274f2de7f2db36])
368 AM_CONDITIONAL([gl_GNULIB_ENABLED_pathmax], [$gl_gnulib_enabled_pathmax])
369 AM_CONDITIONAL([gl_GNULIB_ENABLED_stat], [$gl_gnulib_enabled_stat])
370 AM_CONDITIONAL([gl_GNULIB_ENABLED_strtoll], [$gl_gnulib_enabled_strtoll])
371 AM_CONDITIONAL([gl_GNULIB_ENABLED_strtoull], [$gl_gnulib_enabled_strtoull])
372 AM_CONDITIONAL([gl_GNULIB_ENABLED_verify], [$gl_gnulib_enabled_verify])
373 # End of code from modules
374 m4_ifval(gl_LIBSOURCES_LIST, [
375 m4_syscmd([test ! -d ]m4_defn([gl_LIBSOURCES_DIR])[ ||
376 for gl_file in ]gl_LIBSOURCES_LIST[ ; do
377 if test ! -r ]m4_defn([gl_LIBSOURCES_DIR])[/$gl_file ; then
378 echo "missing file ]m4_defn([gl_LIBSOURCES_DIR])[/$gl_file" >&2
379 exit 1
380 fi
381 done])dnl
382 m4_if(m4_sysval, [0], [],
383 [AC_FATAL([expected source file, required through AC_LIBSOURCES, not found])])
384 ])
385 m4_popdef([gl_LIBSOURCES_DIR])
386 m4_popdef([gl_LIBSOURCES_LIST])
387 m4_popdef([AC_LIBSOURCES])
388 m4_popdef([AC_REPLACE_FUNCS])
389 m4_popdef([AC_LIBOBJ])
390 AC_CONFIG_COMMANDS_PRE([
391 gl_libobjs=
392 gl_ltlibobjs=
393 if test -n "$gl_LIBOBJS"; then
394 # Remove the extension.
395 sed_drop_objext='s/\.o$//;s/\.obj$//'
396 for i in `for i in $gl_LIBOBJS; do echo "$i"; done | sed -e "$sed_drop_objext" | sort | uniq`; do
397 gl_libobjs="$gl_libobjs $i.$ac_objext"
398 gl_ltlibobjs="$gl_ltlibobjs $i.lo"
399 done
400 fi
401 AC_SUBST([gl_LIBOBJS], [$gl_libobjs])
402 AC_SUBST([gl_LTLIBOBJS], [$gl_ltlibobjs])
403 ])
404 gltests_libdeps=
405 gltests_ltlibdeps=
406 m4_pushdef([AC_LIBOBJ], m4_defn([gltests_LIBOBJ]))
407 m4_pushdef([AC_REPLACE_FUNCS], m4_defn([gltests_REPLACE_FUNCS]))
408 m4_pushdef([AC_LIBSOURCES], m4_defn([gltests_LIBSOURCES]))
409 m4_pushdef([gltests_LIBSOURCES_LIST], [])
410 m4_pushdef([gltests_LIBSOURCES_DIR], [])
411 gl_COMMON
412 gl_source_base='tests'
413 changequote(,)dnl
414 gltests_WITNESS=IN_`echo "${PACKAGE-$PACKAGE_TARNAME}" | LC_ALL=C tr abcdefghijklmnopqrstuvwxyz ABCDEFGHIJKLMNOPQRSTUVWXYZ | LC_ALL=C sed -e 's/[^A-Z0-9_]/_/g'`_GNULIB_TESTS
415 changequote([, ])dnl
416 AC_SUBST([gltests_WITNESS])
417 gl_module_indicator_condition=$gltests_WITNESS
418 m4_pushdef([gl_MODULE_INDICATOR_CONDITION], [$gl_module_indicator_condition])
419 m4_pattern_allow([^gl_GNULIB_ENABLED_])
420 m4_popdef([gl_MODULE_INDICATOR_CONDITION])
421 m4_ifval(gltests_LIBSOURCES_LIST, [
422 m4_syscmd([test ! -d ]m4_defn([gltests_LIBSOURCES_DIR])[ ||
423 for gl_file in ]gltests_LIBSOURCES_LIST[ ; do
424 if test ! -r ]m4_defn([gltests_LIBSOURCES_DIR])[/$gl_file ; then
425 echo "missing file ]m4_defn([gltests_LIBSOURCES_DIR])[/$gl_file" >&2
426 exit 1
427 fi
428 done])dnl
429 m4_if(m4_sysval, [0], [],
430 [AC_FATAL([expected source file, required through AC_LIBSOURCES, not found])])
431 ])
432 m4_popdef([gltests_LIBSOURCES_DIR])
433 m4_popdef([gltests_LIBSOURCES_LIST])
434 m4_popdef([AC_LIBSOURCES])
435 m4_popdef([AC_REPLACE_FUNCS])
436 m4_popdef([AC_LIBOBJ])
437 AC_CONFIG_COMMANDS_PRE([
438 gltests_libobjs=
439 gltests_ltlibobjs=
440 if test -n "$gltests_LIBOBJS"; then
441 # Remove the extension.
442 sed_drop_objext='s/\.o$//;s/\.obj$//'
443 for i in `for i in $gltests_LIBOBJS; do echo "$i"; done | sed -e "$sed_drop_objext" | sort | uniq`; do
444 gltests_libobjs="$gltests_libobjs $i.$ac_objext"
445 gltests_ltlibobjs="$gltests_ltlibobjs $i.lo"
446 done
447 fi
448 AC_SUBST([gltests_LIBOBJS], [$gltests_libobjs])
449 AC_SUBST([gltests_LTLIBOBJS], [$gltests_ltlibobjs])
450 ])
451 LIBGNU_LIBDEPS="$gl_libdeps"
452 AC_SUBST([LIBGNU_LIBDEPS])
453 LIBGNU_LTLIBDEPS="$gl_ltlibdeps"
454 AC_SUBST([LIBGNU_LTLIBDEPS])
455 ])
456
457 # Like AC_LIBOBJ, except that the module name goes
458 # into gl_LIBOBJS instead of into LIBOBJS.
459 AC_DEFUN([gl_LIBOBJ], [
460 AS_LITERAL_IF([$1], [gl_LIBSOURCES([$1.c])])dnl
461 gl_LIBOBJS="$gl_LIBOBJS $1.$ac_objext"
462 ])
463
464 # Like AC_REPLACE_FUNCS, except that the module name goes
465 # into gl_LIBOBJS instead of into LIBOBJS.
466 AC_DEFUN([gl_REPLACE_FUNCS], [
467 m4_foreach_w([gl_NAME], [$1], [AC_LIBSOURCES(gl_NAME[.c])])dnl
468 AC_CHECK_FUNCS([$1], , [gl_LIBOBJ($ac_func)])
469 ])
470
471 # Like AC_LIBSOURCES, except the directory where the source file is
472 # expected is derived from the gnulib-tool parameterization,
473 # and alloca is special cased (for the alloca-opt module).
474 # We could also entirely rely on EXTRA_lib..._SOURCES.
475 AC_DEFUN([gl_LIBSOURCES], [
476 m4_foreach([_gl_NAME], [$1], [
477 m4_if(_gl_NAME, [alloca.c], [], [
478 m4_define([gl_LIBSOURCES_DIR], [lib])
479 m4_append([gl_LIBSOURCES_LIST], _gl_NAME, [ ])
480 ])
481 ])
482 ])
483
484 # Like AC_LIBOBJ, except that the module name goes
485 # into gltests_LIBOBJS instead of into LIBOBJS.
486 AC_DEFUN([gltests_LIBOBJ], [
487 AS_LITERAL_IF([$1], [gltests_LIBSOURCES([$1.c])])dnl
488 gltests_LIBOBJS="$gltests_LIBOBJS $1.$ac_objext"
489 ])
490
491 # Like AC_REPLACE_FUNCS, except that the module name goes
492 # into gltests_LIBOBJS instead of into LIBOBJS.
493 AC_DEFUN([gltests_REPLACE_FUNCS], [
494 m4_foreach_w([gl_NAME], [$1], [AC_LIBSOURCES(gl_NAME[.c])])dnl
495 AC_CHECK_FUNCS([$1], , [gltests_LIBOBJ($ac_func)])
496 ])
497
498 # Like AC_LIBSOURCES, except the directory where the source file is
499 # expected is derived from the gnulib-tool parameterization,
500 # and alloca is special cased (for the alloca-opt module).
501 # We could also entirely rely on EXTRA_lib..._SOURCES.
502 AC_DEFUN([gltests_LIBSOURCES], [
503 m4_foreach([_gl_NAME], [$1], [
504 m4_if(_gl_NAME, [alloca.c], [], [
505 m4_define([gltests_LIBSOURCES_DIR], [tests])
506 m4_append([gltests_LIBSOURCES_LIST], _gl_NAME, [ ])
507 ])
508 ])
509 ])
510
511 # This macro records the list of files which have been installed by
512 # gnulib-tool and may be removed by future gnulib-tool invocations.
513 AC_DEFUN([gl_FILE_LIST], [
514 build-aux/snippet/_Noreturn.h
515 build-aux/snippet/arg-nonnull.h
516 build-aux/snippet/c++defs.h
517 build-aux/snippet/warn-on-use.h
518 lib/alloca.in.h
519 lib/allocator.c
520 lib/allocator.h
521 lib/careadlinkat.c
522 lib/careadlinkat.h
523 lib/dosname.h
524 lib/dtoastr.c
525 lib/dtotimespec.c
526 lib/dup2.c
527 lib/filemode.c
528 lib/filemode.h
529 lib/ftoastr.c
530 lib/ftoastr.h
531 lib/getloadavg.c
532 lib/getopt.c
533 lib/getopt.in.h
534 lib/getopt1.c
535 lib/getopt_int.h
536 lib/gettext.h
537 lib/gettime.c
538 lib/gettimeofday.c
539 lib/ignore-value.h
540 lib/intprops.h
541 lib/inttypes.in.h
542 lib/lstat.c
543 lib/md5.c
544 lib/md5.h
545 lib/mktime-internal.h
546 lib/mktime.c
547 lib/pathmax.h
548 lib/pselect.c
549 lib/pthread_sigmask.c
550 lib/readlink.c
551 lib/sha1.c
552 lib/sha1.h
553 lib/sha256.c
554 lib/sha256.h
555 lib/sha512.c
556 lib/sha512.h
557 lib/signal.in.h
558 lib/stat-time.h
559 lib/stat.c
560 lib/stdalign.in.h
561 lib/stdarg.in.h
562 lib/stdbool.in.h
563 lib/stddef.in.h
564 lib/stdint.in.h
565 lib/stdio.in.h
566 lib/stdlib.in.h
567 lib/strftime.c
568 lib/strftime.h
569 lib/strtoimax.c
570 lib/strtol.c
571 lib/strtoll.c
572 lib/strtoul.c
573 lib/strtoull.c
574 lib/strtoumax.c
575 lib/symlink.c
576 lib/sys_select.in.h
577 lib/sys_stat.in.h
578 lib/sys_time.in.h
579 lib/time.in.h
580 lib/time_r.c
581 lib/timespec-add.c
582 lib/timespec-sub.c
583 lib/timespec.h
584 lib/u64.h
585 lib/unistd.in.h
586 lib/utimens.c
587 lib/utimens.h
588 lib/verify.h
589 m4/00gnulib.m4
590 m4/alloca.m4
591 m4/c-strtod.m4
592 m4/clock_time.m4
593 m4/dup2.m4
594 m4/extensions.m4
595 m4/filemode.m4
596 m4/getloadavg.m4
597 m4/getopt.m4
598 m4/gettime.m4
599 m4/gettimeofday.m4
600 m4/gnulib-common.m4
601 m4/include_next.m4
602 m4/inttypes.m4
603 m4/largefile.m4
604 m4/longlong.m4
605 m4/lstat.m4
606 m4/manywarnings.m4
607 m4/md5.m4
608 m4/mktime.m4
609 m4/multiarch.m4
610 m4/nocrash.m4
611 m4/off_t.m4
612 m4/pathmax.m4
613 m4/pselect.m4
614 m4/pthread_sigmask.m4
615 m4/readlink.m4
616 m4/sha1.m4
617 m4/sha256.m4
618 m4/sha512.m4
619 m4/signal_h.m4
620 m4/socklen.m4
621 m4/ssize_t.m4
622 m4/st_dm_mode.m4
623 m4/stat-time.m4
624 m4/stat.m4
625 m4/stdalign.m4
626 m4/stdarg.m4
627 m4/stdbool.m4
628 m4/stddef_h.m4
629 m4/stdint.m4
630 m4/stdio_h.m4
631 m4/stdlib_h.m4
632 m4/strftime.m4
633 m4/strtoimax.m4
634 m4/strtoll.m4
635 m4/strtoull.m4
636 m4/strtoumax.m4
637 m4/symlink.m4
638 m4/sys_select_h.m4
639 m4/sys_socket_h.m4
640 m4/sys_stat_h.m4
641 m4/sys_time_h.m4
642 m4/time_h.m4
643 m4/time_r.m4
644 m4/timespec.m4
645 m4/tm_gmtoff.m4
646 m4/unistd_h.m4
647 m4/utimbuf.m4
648 m4/utimens.m4
649 m4/utimes.m4
650 m4/warn-on-use.m4
651 m4/warnings.m4
652 m4/wchar_t.m4
653 ])